play.server.ssl

## Class SslHttpServerContextFactory.PEMKeyManager

- java.lang.Object
- - javax.net.ssl.X509ExtendedKeyManager
  - - play.server.ssl.SslHttpServerContextFactory.PEMKeyManager

All Implemented Interfaces:
  javax.net.ssl.KeyManager, javax.net.ssl.X509KeyManager

Enclosing class:
  SslHttpServerContextFactory

    public static class SslHttpServerContextFactory.PEMKeyManager
    extends javax.net.ssl.X509ExtendedKeyManager

### Constructor Summary

Constructors
Constructor and Description
`PEMKeyManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `chooseClientAlias(java.lang.String[] strings, java.security.Principal[] principals, java.net.Socket socket)`
`java.lang.String` `chooseEngineServerAlias(java.lang.String s, java.security.Principal[] principals, javax.net.ssl.SSLEngine sslEngine)`
`java.lang.String` `chooseServerAlias(java.lang.String s, java.security.Principal[] principals, java.net.Socket socket)`
`java.security.cert.X509Certificate[]` `getCertificateChain(java.lang.String s)`
`java.lang.String[]` `getClientAliases(java.lang.String s, java.security.Principal[] principals)`
`java.security.PrivateKey` `getPrivateKey(java.lang.String s)`
`java.lang.String[]` `getServerAliases(java.lang.String s, java.security.Principal[] principals)`

### Methods inherited from class javax.net.ssl.X509ExtendedKeyManager

`chooseEngineClientAlias`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PEMKeyManager

    public PEMKeyManager()

### Method Detail

#### chooseEngineServerAlias

    public java.lang.String chooseEngineServerAlias(java.lang.String s,
                                                    java.security.Principal[] principals,
                                                    javax.net.ssl.SSLEngine sslEngine)

Overrides:
  `chooseEngineServerAlias` in class `javax.net.ssl.X509ExtendedKeyManager`

#### getClientAliases

    public java.lang.String[] getClientAliases(java.lang.String s,
                                               java.security.Principal[] principals)

#### chooseClientAlias

    public java.lang.String chooseClientAlias(java.lang.String[] strings,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

#### getServerAliases

    public java.lang.String[] getServerAliases(java.lang.String s,
                                               java.security.Principal[] principals)

#### chooseServerAlias

    public java.lang.String chooseServerAlias(java.lang.String s,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

#### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String s)

#### getPrivateKey

    public java.security.PrivateKey getPrivateKey(java.lang.String s)